#ifndef __EXCEPT__
#define __EXCEPT__

#include <cstdarg>
#include <cstdio>
extern int cur_line;
extern int cur_mob;

class CException
{
 protected:
  char m_szMsg[512];
  int line;
 public:

   CException()
  {m_szMsg[0]='\0';}

  //CException(int line_, char *msg,...)
  CException(char *msg,...)
    {
      va_list args;
      va_start(args, msg);
      line = cur_line+1; // a debugguer: pour l'instant on ne connait
      // que le numero de ligne du dernier ASTnode sans erreur !
      
      vsprintf(m_szMsg,msg,args);
      fprintf(stderr,"\n\n[EXCEPT] ");
      if (line) fprintf(stderr,"ligne %d :",line);
      vfprintf(stderr,msg,args);
      fprintf(stderr,"\n\n");
      
      va_end(args);
    }

  const char *getMsg() const {return (m_szMsg);}
  const int getLine() const {return (line);}
};

#endif
