#ifndef _H_ATR_NFO__
#define _H_ATR_NFO__

#ifdef WIN32
#  include <windows.h>
#  define M_PI 3.141592653589793
#  define drand48() (((double)(rand() & 255))/255.0)
#endif

typedef struct atr_nfo
{
  CMobile *m;
  string   name;
  int variable;
  bool pseudo;
} atr_nfo;

struct mob_adress
{
  int mobile;
  int client;
  double dx, dy, angle;

  bool operator == (mob_adress &mob)
  {
    return ( ( mob.client == client ) && ( mob.mobile == mobile ) );
  }
};

#define ATTR_X 0
#define ATTR_Y 1
#define ATTR_DX 2
#define ATTR_DY 3
#define ATTR_ANGLE 4
#define ATTR_ICONE 5
#define ATTR_VAR 6
#define ATTR_COULEUR 7
#define ATTR_ROUGE 8
#define ATTR_VERT 9
#define ATTR_BLEU 10
#define ATTR_CHOCX 11
#define ATTR_CHOCY 12
#define ATTR_LARGEUR 13
#define ATTR_HAUTEUR 14
#define ATTR_VISIBLE 15
#define ATTR_CONTACT 16
#define ATTR_GRIS 17

#endif
